Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356788 - [RFE] make sure no package in the repos would upgrade or obsolete the packages under test
Summary: [RFE] make sure no package in the repos would upgrade or obsolete the package...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: rpmdeplint
Classification: Community
Component: general
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 1.1
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 03:28 UTC by Dan Callaghan
Modified: 2016-08-09 05:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-09 05:05:17 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2016-07-15 03:28:34 UTC
In general a new package being pushed to some repo is expected to upgrade an existing package (or perhaps be totally new). If the version number is actually lower than some existing package in the repos, or if it would be Obsoleted by some existing package, then it's an error because there's really no point pushing the package to the repo because it will never be installed.

The most obvious case is where some mistake is made in bumping the RPM release field and it goes backwards. But there are plenty of other subtler corner cases where this can happen. For example:

RHEL7.1 ships 0:anaconda-user-help-19.31.123-1.el7 (subpackage of anaconda)
RHEL7.2 ships 0:anaconda-user-help-7.2.2-1.el7 (new, separate package)

From the point of view of the tooling which handles updates, anaconda-user-help is a new package. But in fact 0:anaconda-user-help-7.2.2-1.el7 would be upgraded by an existing package in the repos. The correct solution was to bump epoch on the separate package.

Comment 1 Dan Callaghan 2016-07-25 06:50:32 UTC
http://gerrit.beaker-project.org/5087

Comment 2 Roman Joost 2016-08-09 05:05:17 UTC
This is released with rpmdeplint 1.1 available on Fedora Copr:

https://copr.fedorainfracloud.org/coprs/dcallagh/rpmdeplint/

for RHEL 7 (EPEL), F23, F24 and Rawhide.


Note You need to log in before you can comment on or make changes to this bug.